#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <stdio.h>
#include <pslib.h>

#include "ppMops.h"

static void mopsDataFree(ppMopsData *data)
{
    psFree(data->detections);
    psFree(data->output);
    return;
}

ppMopsData *ppMopsDataAlloc(void)
{
    ppMopsData *data = psAlloc(sizeof(ppMopsData)); // Data to return
    psMemSetDeallocator(data, (psFreeFunc)mopsDataFree);

    data->detections = NULL;
    data->zp = NAN;
    data->output = NULL;

    return data;
}


